Skip to main content
GET
/
webhooks
cURL
curl --request GET \
  --url https://api.maesn.dev/webhooks \
  --header 'X-ACCOUNT-KEY: <x-account-key>' \
  --header 'X-API-KEY: <x-api-key>'
import requests

url = "https://api.maesn.dev/webhooks"

headers = {
    "X-API-KEY": "<x-api-key>",
    "X-ACCOUNT-KEY": "<x-account-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};

fetch('https://api.maesn.dev/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "meta": {
    "warnings": [
      "Field not used by target system"
    ],
    "pagination": {
      "total": 125,
      "perPage": 50,
      "currentPage": 1,
      "totalPages": 3
    }
  },
  "data": {
    "id": "94fdb7fd-13ae-47a6-8a2a-000e6ddc60d9",
    "callbackUrl": "https://example.com/webhook-endpoint/12345",
    "createdDate": "2025-06-01T00:00:00Z",
    "expiresDate": "2026-06-01T00:00:00Z",
    "updatedDate": "2025-06-01T00:00:00Z"
  }
}

Field support per integration

If you’re not using the Interactive Authentication Flow, make sure the query parameters environmentName and companyId are correctly populated. You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
expiresDate
string
updatedDate
string
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is correctly populated. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
Ensure that the query parameter _companyId_ is correctly filled with the account ID associated with the contact. This value can be retrieved by using the GET Companies endpoint in the Authentication section. Use the returned id as the value for _companyId_.
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
createdDate
string
updatedDate
string
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is correctly populated. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
createdDate
string
updatedDate
string
Supported request parameters:
id
string
callbackUrl
string
createdDate
string
updatedDate
string
Query parameters:
rawData
boolean
Supported request parameters:
id
string
callbackUrl
string
createdDate
string
updatedDate
string
Supported request parameters:
id
string
callbackUrl
string
createdDate
string
updatedDate
string

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Query Parameters

rawData
boolean
companyId
string
environmentName
string

Response

200 - application/json
meta
object
data
object
Last modified on July 9, 2026